
#ifndef GAINPUTKEYBOARDKEYNAMES_H_
#define GAINPUTKEYBOARDKEYNAMES_H_

namespace gainput
{

inline
void
GetKeyboardKeyNames(HashMap<Key, const char*>& names)
{
	names[KeyEscape] = "escape";
	names[KeyF1] = "f1";
	names[KeyF2] = "f2";
	names[KeyF3] = "f3";
	names[KeyF4] = "f4";
	names[KeyF5] = "f5";
	names[KeyF6] = "f6";
	names[KeyF7] = "f7";
	names[KeyF8] = "f8";
	names[KeyF9] = "f9";
	names[KeyF10] = "f10";
	names[KeyF11] = "f11";
	names[KeyF12] = "f12";
	names[KeyPrint] = "print";
	names[KeyScrollLock] = "scroll_lock";
	names[KeyBreak] = "break";
	names[KeySpace] = "space";
	names[KeyApostrophe] = "apostrophe";
	names[KeyComma] = "comma";
	names[KeyMinus] = "minus";
	names[KeyPeriod] = "period";
	names[KeySlash] = "slash";
	names[Key0] = "0";
	names[Key1] = "1";
	names[Key2] = "2";
	names[Key3] = "3";
	names[Key4] = "4";
	names[Key5] = "5";
	names[Key6] = "6";
	names[Key7] = "7";
	names[Key8] = "8";
	names[Key9] = "9";
	names[KeySemicolon] = "semicolon";
	names[KeyLess] = "less";
	names[KeyEqual] = "equal";
	names[KeyA] = "a";
	names[KeyB] = "b";
	names[KeyC] = "c";
	names[KeyD] = "d";
	names[KeyE] = "e";
	names[KeyF] = "f";
	names[KeyG] = "g";
	names[KeyH] = "h";
	names[KeyI] = "i";
	names[KeyJ] = "j";
	names[KeyK] = "k";
	names[KeyL] = "l";
	names[KeyM] = "m";
	names[KeyN] = "n";
	names[KeyO] = "o";
	names[KeyP] = "p";
	names[KeyQ] = "q";
	names[KeyR] = "r";
	names[KeyS] = "s";
	names[KeyT] = "t";
	names[KeyU] = "u";
	names[KeyV] = "v";
	names[KeyW] = "w";
	names[KeyX] = "x";
	names[KeyY] = "y";
	names[KeyZ] = "z";
	names[KeyBracketLeft] = "bracket_left";
	names[KeyBackslash] = "backslash";
	names[KeyBracketRight] = "bracket_right";
	names[KeyGrave] = "grave";
	names[KeyLeft] = "left";
	names[KeyRight] = "right";
	names[KeyUp] = "up";
	names[KeyDown] = "down";
	names[KeyInsert] = "insert";
	names[KeyHome] = "home";
	names[KeyDelete] = "delete";
	names[KeyEnd] = "end";
	names[KeyPageUp] = "page_up";
	names[KeyPageDown] = "page_down";
	names[KeyNumLock] = "num_lock";
	names[KeyKpDivide] = "kp_divide";
	names[KeyKpMultiply] = "kp_multiply";
	names[KeyKpSubtract] = "kp_subtract";
	names[KeyKpAdd] = "kp_add";
	names[KeyKpEnter] = "kp_enter";
	names[KeyKpInsert] = "kp_insert";
	names[KeyKpEnd] = "kp_end";
	names[KeyKpDown] = "kp_down";
	names[KeyKpPageDown] = "kp_page_down";
	names[KeyKpLeft] = "kp_left";
	names[KeyKpBegin] = "kp_begin";
	names[KeyKpRight] = "kp_right";
	names[KeyKpHome] = "kp_home";
	names[KeyKpUp] = "kp_up";
	names[KeyKpPageUp] = "kp_page_up";
	names[KeyKpDelete] = "kp_delete";
	names[KeyBackSpace] = "back_space";
	names[KeyTab] = "tab";
	names[KeyReturn] = "return";
	names[KeyCapsLock] = "caps_lock";
	names[KeyShiftL] = "shift_l";
	names[KeyCtrlL] = "ctrl_l";
	names[KeySuperL] = "super_l";
	names[KeyAltL] = "alt_l";
	names[KeyAltR] = "alt_r";
	names[KeySuperR] = "super_r";
	names[KeyMenu] = "menu";
	names[KeyCtrlR] = "ctrl_r";
	names[KeyShiftR] = "shift_r";
	names[KeyBack] = "back";
	names[KeySoftLeft] = "soft_left";
	names[KeySoftRight] = "soft_right";
	names[KeyCall] = "call";
	names[KeyEndcall] = "endcall";
	names[KeyStar] = "star";
	names[KeyPound] = "pound";
	names[KeyDpadCenter] = "dpad_center";
	names[KeyVolumeUp] = "volume_up";
	names[KeyVolumeDown] = "volume_down";
	names[KeyPower] = "power";
	names[KeyCamera] = "camera";
	names[KeyClear] = "clear";
	names[KeySymbol] = "symbol";
	names[KeyExplorer] = "explorer";
	names[KeyEnvelope] = "envelope";
	names[KeyEquals] = "equals";
	names[KeyAt] = "at";
	names[KeyHeadsethook] = "headsethook";
	names[KeyFocus] = "focus";
	names[KeyPlus] = "plus";
	names[KeyNotification] = "notification";
	names[KeySearch] = "search";
	names[KeyMediaPlayPause] = "media_play_pause";
	names[KeyMediaStop] = "media_stop";
	names[KeyMediaNext] = "media_next";
	names[KeyMediaPrevious] = "media_previous";
	names[KeyMediaRewind] = "media_rewind";
	names[KeyMediaFastForward] = "media_fast_forward";
	names[KeyMute] = "mute";
	names[KeyPictsymbols] = "pictsymbols";
	names[KeySwitchCharset] = "switch_charset";
	names[KeyForward] = "forward";
	names[KeyExtra1] = "extra_1";
	names[KeyExtra2] = "extra_2";
	names[KeyExtra3] = "extra_3";
	names[KeyExtra4] = "extra_4";
	names[KeyExtra5] = "extra_5";
	names[KeyExtra6] = "extra_6";
	names[KeyFn] = "fn";
	names[KeyCircumflex] = "circumflex";
	names[KeySsharp] = "ssharp";
	names[KeyAcute] = "acute";
	names[KeyAltGr] = "alt_gr";
	names[KeyNumbersign] = "numbersign";
	names[KeyUdiaeresis] = "udiaeresis";
	names[KeyAdiaeresis] = "adiaeresis";
	names[KeyOdiaeresis] = "odiaeresis";
	names[KeySection] = "section";
	names[KeyAring] = "aring";
	names[KeyDiaeresis] = "diaeresis";
	names[KeyTwosuperior] = "twosuperior";
	names[KeyRightParenthesis] = "right_parenthesis";
	names[KeyDollar] = "dollar";
	names[KeyUgrave] = "ugrave";
	names[KeyAsterisk] = "asterisk";
	names[KeyColon] = "colon";
	names[KeyExclam] = "exclam";
	names[KeyBraceLeft] = "brace_left";
	names[KeyBraceRight] = "brace_right";
	names[KeySysRq] = "sys_rq";
}


}

#endif

